
using System;
using PlanetExpress.items.shells;
using PlanetExpress.items.enemys;

namespace PlanetExpress.items.weapon {
	
	
	public class BlopGun : CustomWeapon {
		
		public BlopGun(CustomGameObject person) : base(person) {
			ShootInterval = 40000f;
		}
		
		
		protected override void doShoot (float x, float y, float angle) {			
			for (int i=-2; i<2;i++) {				
				BlobClass b = new BlobClass();
				b.X = (float)(x + Math.Cos(angle + 0.1 * i)*100);
				b.Y = (float)(y + Math.Sin(angle + 0.1 * i)*100);
				b.VecA = new Math2D.Vector2D(
				                             -(float)Math.Cos(angle + 0.1 * i)*280f,
				                             (float)Math.Sin(angle + 0.1 * i)*580f);
					
				MissionScreenClass.Area.AddObject(b);
			}				
		}

	}
}
